PipeWire: global.c File Reference

PipeWire 0.1.9

Functions
global.c File Reference
Include dependency graph for global.c:

## Functions
uint32_t | pw_global_get_permissions (struct pw_global *global, struct pw_client *client)
| Get the permissions of the global for a given client. More...
struct pw_core * | pw_global_get_core (struct pw_global *global)
| Get the core object of this global. More...
struct pw_client * | pw_global_get_owner (struct pw_global *global)
| Get the owner of the global. More...
struct pw_global * | pw_global_get_parent (struct pw_global *global)
| Get the parent of a global. More...
uint32_t | pw_global_get_type (struct pw_global *global)
| Get the global type. More...
uint32_t | pw_global_get_version (struct pw_global *global)
| Get the global version. More...
const struct pw_properties * | pw_global_get_properties (struct pw_global *global)
| Get the global properties. More...
void * | pw_global_get_object (struct pw_global *global)
| Get the object associated with the global. More...
uint32_t | pw_global_get_id (struct pw_global *global)
| Get the unique id of the global. More...
void | pw_global_add_listener (struct pw_global *global, struct spa_hook *listener, const struct pw_global_events *events, void *data)
| Add an event listener on the global. More...

## Function Documentation

## ◆ pw_global_add_listener()

void pw_global_add_listener | ( | struct pw_global * | global,
|  | struct spa_hook * | listener,
|  | const struct pw_global_events * | events,
|  | void * | data
| ) |  |

Add an event listener on the global.

Referenced by pw_client_register(), pw_core::pw_core_new(), pw_factory_register(), pw_link_register(), and pw_port_register().

## ◆ pw_global_get_core()

struct pw_core* pw_global_get_core | ( | struct pw_global * | global | ) |

Get the core object of this global.

## ◆ pw_global_get_id()

uint32_t pw_global_get_id | ( | struct pw_global * | global | ) |

Get the unique id of the global.

## ◆ pw_global_get_object()

void* pw_global_get_object | ( | struct pw_global * | global | ) |

Get the object associated with the global.

This depends on the type of the global

## ◆ pw_global_get_owner()

struct pw_client* pw_global_get_owner | ( | struct pw_global * | global | ) |

Get the owner of the global.

This can be NULL when the core is owner

## ◆ pw_global_get_parent()

struct pw_global* pw_global_get_parent | ( | struct pw_global * | global | ) |

Get the parent of a global.

## ◆ pw_global_get_permissions()

uint32_t pw_global_get_permissions | ( | struct pw_global * | global,
|  | struct pw_client * | client
| ) |  |

Get the permissions of the global for a given client.

References PW_PERM_RWX.

Referenced by pw_core_find_global(), pw_core::pw_core_find_port(), pw_core_for_each_global(), pw_global::pw_global_destroy(), and pw_global::pw_global_register().

## ◆ pw_global_get_properties()

const struct pw_properties* pw_global_get_properties | ( | struct pw_global * | global | ) |

Get the global properties.

## ◆ pw_global_get_type()

uint32_t pw_global_get_type | ( | struct pw_global * | global | ) |

Get the global type.

## ◆ pw_global_get_version()

uint32_t pw_global_get_version | ( | struct pw_global * | global | ) |

Get the global version.